Type to search.

Get anonymization fields

Base URL
https://{kibana_url}
  • GET /api/security_ai_assistant/anonymization_fields/_find
Auth

Get a list of all anonymization fields.

Query parameters

fields string[]

Fields to return

Example: ["id","field","anonymized","allowed"]
filter string

Search query

Example: field: "user.name"
sort_field enum

Field to sort by

Values: created_at anonymized allowed field updated_at
sort_order enum

Sort order

Values: asc desc
page integer · min: 1 · default: 1

Page number

per_page integer · min: 0 · default: 20

AnonymizationFields per page

all_data boolean

If true, additionally fetch all anonymization fields, otherwise fetch only the provided page

Responses

Indicates a successful call.

application/json
data object[] required
Same fields as all
page integer required
perPage integer required
total integer required